<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Periksa extends Model
{
    protected $table    = "periksa";
    protected $guarded  = [];
    public function getMiddlePpdskedua()
    {
        return $this->hasOne('App\Models\User','id','middleppds2');
    }
    public function getJuniorPpdskedua()
    {
        return $this->hasOne('App\Models\User','id','ppdsjunior2');
    }
    public function getNmRadiografer()
    {
        return $this->hasOne('App\Models\User','id','radiografer');
    }
    public function getNmExcutor()
    {
        return $this->hasOne('App\Models\User','id','excutor');
    }
    public function getNmDokter()
    {
        return $this->hasOne('App\Models\User','id','dokter_id');
    }
    public function getNmPPDSSenior()
    {
        return $this->hasOne('App\Models\User','id','ppdssenior');
    }
    public function getPasien()
    {
        return $this->hasOne('App\Pasien','id','pasien_id');
    }
    public function getPoli()
    {
        return $this->hasOne('App\Poli','id','poli_id');
    }
    public function getRuangan()
    {
        return $this->hasOne('App\Ruangan','id','ruangan_id');
    }
    public function getTandatangan()
    {
        return $this->hasOne('App\XFiles','xmarking','tandatangan');
    }
    public function getLogbook()
    {
        return $this->hasOne('App\Logbook','id','diagnosa');
    }
}
